# AP4_MetaData Class Reference

`#include <Ap4MetaData.h>`

List of all members.

## Public Member Functions
| AP4_MetaData (AP4_File *file)
AP4_Result | ParseMoov (AP4_MoovAtom *moov)
AP4_Result | ParseUdta (AP4_ContainerAtom *udta, const char *namespc)
| ~AP4_MetaData ()
const AP4_List< Entry > & | GetEntries () const
AP4_Result | ResolveKeyName (AP4_Atom::Type atom_type, AP4_String &value)
AP4_Result | AddIlstEntries (AP4_ContainerAtom *atom, const char *namespc)
AP4_Result | Add3GppEntry (AP4_3GppLocalizedStringAtom *atom, const char *namespc)
AP4_Result | AddDcfStringEntry (AP4_DcfStringAtom *atom, const char *namespc)
AP4_Result | AddDcfdEntry (AP4_DcfdAtom *atom, const char *namespc)
## Static Public Attributes
static AP4_Array< KeyInfo > | KeyInfos
## Classes
class | Entry
class | Key
class | KeyInfo
class | Value

## Detailed Description

Definition at line 129 of file Ap4MetaData.h.

## Constructor & Destructor Documentation

AP4_MetaData::AP4_MetaData | ( | AP4_File * | file | ) |

AP4_MetaData::~AP4_MetaData | ( |  | ) |

## Member Function Documentation

AP4_Result AP4_MetaData::ParseMoov | ( | AP4_MoovAtom * | moov | ) |

AP4_Result AP4_MetaData::ParseUdta | ( | AP4_ContainerAtom * | udta,
|  | const char * | namespc |
| ) |  |  |

const AP4_List<Entry>& AP4_MetaData::GetEntries | ( |  | ) | const`[inline]`

Definition at line 254 of file Ap4MetaData.h.

AP4_Result AP4_MetaData::ResolveKeyName | ( | AP4_Atom::Type | atom_type,
|  | AP4_String & | value |
| ) |  |  |

AP4_Result AP4_MetaData::AddIlstEntries | ( | AP4_ContainerAtom * | atom,
|  | const char * | namespc |
| ) |  |  |

AP4_Result AP4_MetaData::Add3GppEntry | ( | AP4_3GppLocalizedStringAtom * | atom,
|  | const char * | namespc |
| ) |  |  |

AP4_Result AP4_MetaData::AddDcfStringEntry | ( | AP4_DcfStringAtom * | atom,
|  | const char * | namespc |
| ) |  |  |

AP4_Result AP4_MetaData::AddDcfdEntry | ( | AP4_DcfdAtom * | atom,
|  | const char * | namespc |
| ) |  |  |

## Member Data Documentation

AP4_Array<KeyInfo> AP4_MetaData::KeyInfos`[static]`

Definition at line 241 of file Ap4MetaData.h.

The documentation for this class was generated from the following file:

- Ap4MetaData.h